/**
 * Created by Liu.Jun on 2020/4/21 9:24.
 * IntegerField 复用StringField
 */

import vueProps from '../props';
import StringField from '../StringField';

export default {
    name: 'LocationField',
    props: vueProps,
    functional: true,
    render(h, context) {
        const { data } = context;
        data.props.uiSchema = {
            'ui:options': {
                disabled: true,
                placeholder: 'Web界面只做预览'
            }
        };
        return h(StringField, data);
    }
};
