/**
 * Created by Liu.Jun on 2020/4/21 9:24.
 * IntegerField 复用StringField
 */

import vueProps from '../props';
import StringField from '../StringField';

export default {
    name: 'SeasonField',
    props: vueProps,
    functional: true,
    render(h, context) {
        const { data } = context;
        data.props.uiSchema = {
            // 'ui:widget': 'SelectWidget',
            dataType: {
                'ui:widget': 'HiddenWidget',
                'ui:hidden': true,
            },
            static: {
                'ui:hidden': true,
            },
            api: {
                'ui:hidden': true,
            },
        };
        data.props.schema = {
            ...data.props.schema,
            dataType: 'api',
            static: [
            ],
            api: {
                url: '/gw/product-center/api/farmerSeason/seasons',
                method: 'GET',
                label: 'startDate',
                value: 'id'
            }
        };
        console.log(data);
        return h(StringField, data);
    }
};
